//
//  ViewController.swift
//  fsevents-example
//
//  Created by Michael Ovchinnikov on 06/02/2019.
//  Copyright © 2019 Michael Ovchinnikov. All rights reserved.
//

import Cocoa

class ViewController: NSViewController {
    
    var fsEventsService: FSEventsService!

    override func viewDidLoad() {
        super.viewDidLoad()
        
        let path = NSString(string: "~").expandingTildeInPath
        fsEventsService = FSEventsService(pathsToWatch: [path]) { event in
            print("\(event.identifier) - \(event.path) - \(event.flags)")
        }
        fsEventsService.start()
    }

}

